package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.RSResourceVo;
import com.xhkjedu.sapi.vo.region.RSchoolVo;
import com.xhkjedu.sapi.vo.region.ResourceTypeVo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName RegionResourceMapper
 * Description TODO 区域资源统计
 * Author WN
 * Date 2021/5/27 14:57
 **/
@Repository
public interface RegionResourceMapper {

    //资源统计--数量统计
    Map getResourceNum();

    Integer getResourceCollectNum();

    //资源统计——资源学科统计
    List<ResourceTypeVo> listResourceSubjectTypenum();

    //试题统计
    List<ResourceTypeVo> listQuestionSubjectnum();

    //资源统计——校本资源统计
    List<ResourceTypeVo> listResourceSchool();

    //资源统计——热门资源统计
    List<Map> listResourceHot();

    //资源统计——近一个月校本贡献
    List<RSResourceVo> listResourceForSchool(Integer begintime, Integer endtime);

    //试题统计——近一个月校本贡献
    List<RSchoolVo> listQuestionForSchool(Integer begintime, Integer endtime);

}
